/// <reference types="react" />
import './index.scss';
type ProcessType = 'shadow' | 'ellipsis';
interface TextProcessProps {
    type?: ProcessType;
    isDefaultFold?: boolean;
    isRenderShowAllDOM?: boolean;
    unfoldButtonText?: string | JSX.Element | JSX.Element[];
    foldButtonText?: string | JSX.Element | JSX.Element[];
    buttonBeforeSlot?: string | JSX.Element | JSX.Element[];
    buttonClassName?: string;
    buttonStyle?: React.CSSProperties;
    text: string;
    lineHeight?: number;
    ellipsisLineClamp?: number;
    className?: string;
    style?: React.CSSProperties;
    isShowAllContent?: boolean;
    isMustButton?: boolean;
    isMustNoButton?: boolean;
    shadowInitBoxShowH?: number;
    onClick?: () => void;
    getIsFold?: (v: boolean) => void;
    /**
     * 是否使用Js逻辑计算文字开始折叠时显示的文案，可以传字号大小
     * 注意：
     * 1、启用此功能是为了兼容部分浏览器不支持display: -webkit-box;属性的使用（或出现异常）
     * 2、计算出来的文案可能不够完美，可能存在按钮被挤到下面的情况
     * 3、这时只支持传string类型内容
     * 4、按钮文案尽量传DOM结构
     */
    isJsComputed?: boolean;
    fontSize?: number;
}
declare function TextOverflowProcessor(props: TextProcessProps): JSX.Element;
declare namespace TextOverflowProcessor {
    var defaultProps: {
        type: string;
        isDefaultFold: boolean;
        isRenderShowAllDOM: boolean;
        unfoldButtonText: string;
        foldButtonText: string;
        buttonBeforeSlot: undefined;
        buttonClassName: string;
        buttonStyle: {};
        text: string;
        lineHeight: number;
        ellipsisLineClamp: number;
        className: string;
        style: {};
        isShowAllContent: boolean;
        isMustButton: boolean;
        isMustNoButton: boolean;
        shadowInitBoxShowH: number;
        onClick: null;
        getIsFold: null;
        isJsComputed: boolean;
        fontSize: number;
    };
}
declare const _default: import("react").MemoExoticComponent<typeof TextOverflowProcessor>;
export default _default;
